Package org.eclipse.birt.chart.device

# Interface ITextMetrics

All Known Implementing Classes:
  `TextAdapter`

public interface ITextMetrics
Provides a layer of abstraction for text metrics retrieval via display server dependent implementations.

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
Perform a cleanup when this object is not required anymore
`double`
`getDescent()`
Returns the descent of a single line of text using the font defined in the contained label
`double`
`getFullHeight()`
Returns the full height of all lines of text using the font defined in the contained label
`double`
`getFullHeight(double fontHeight)`
`double`
`getFullWidth()`
Returns the max width of the widest line of text using the font defined in the contained label
`double`
`getHeight()`
Returns the height of a single line of text using the font defined in the contained label
`String`
`getLine(int iIndex)`
The text associated with a line index for multi-line text
`int`
`getLineCount()`
Returns the number of lines of text associated with the label to be rendered
`Locale`
`getLocale()`
Deprecated.
use `getULocale()` instead.
`com.ibm.icu.util.ULocale`
`getULocale()`
Returns the locale associated with the text metrics implementer
`double`
`getWidth(int iIndex)`
The text's width of associated with a line index.
`void`
`reuse(Label la)`
Permits reuse of the text metrics instance for a new label with new attributes.
`void`
`reuse(Label la, double forceWrappingSize)`
Permits reuse of the text metrics instance for a new label with new attributes and a forcing wrapping size.

## Method Details

### reuse

void reuse(Label la)
Permits reuse of the text metrics instance for a new label with new attributes.

### reuse

void reuse(Label la, double forceWrappingSize)
Permits reuse of the text metrics instance for a new label with new attributes and a forcing wrapping size.

Since:
  2.1

### getHeight

double getHeight()
Returns the height of a single line of text using the font defined in the contained label

Returns:
  The height of a single line of text using the font defined in the contained label

### getDescent

double getDescent()
Returns the descent of a single line of text using the font defined in the contained label

Returns:
  The descent of a single line of text using the font defined in the contained label

### getFullHeight

double getFullHeight()
Returns the full height of all lines of text using the font defined in the contained label

Returns:
  The full height of all lines of text using the font defined in the contained label

### getFullHeight

double getFullHeight(double fontHeight)

### getFullWidth

double getFullWidth()
Returns the max width of the widest line of text using the font defined in the contained label

Returns:
  The max width of the widest line of text using the font defined in the contained label

### getLineCount

int getLineCount()
Returns the number of lines of text associated with the label to be rendered

Returns:
  The number of lines of text associated with the label to be rendered

### getLine

String getLine(int iIndex)
The text associated with a line index for multi-line text

Parameters:
  `iIndex` - The line to be retrieved from multi-line text
Returns:
  A line of text (subset)

### getWidth

double getWidth(int iIndex)
The text's width of associated with a line index.

Parameters:
  `iIndex` -
Returns:

### dispose

void dispose()
Perform a cleanup when this object is not required anymore

### getLocale

@Deprecated Locale getLocale()
Deprecated.
use `getULocale()` instead.
Returns the locale associated with the text metrics implementer

Returns:
  The locale

### getULocale

com.ibm.icu.util.ULocale getULocale()
Returns the locale associated with the text metrics implementer

Returns:
  The locale
Since:
  2.1